package party._2a03.mc.util;

import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class Database {
	private static final Logger LOGGER = LogManager.getLogger();
	private static Connection conn = null;
	private static File file;

	public static void init(File configDir) {
		file = new File(configDir, "2a03.db");
	}

	public static void open() throws Exception {
		LOGGER.info("Loading 2a03.party database");
		String url = "jdbc:sqlite:";
		url = url.concat(file.getPath());
		conn = DriverManager.getConnection(url);
		LOGGER.info("Database loaded");
	}

	public static void close() {
		LOGGER.info("Unloading 2a03.party database");
		try {
			if (conn != null)
				conn.close();
		} catch (SQLException e) {
			LOGGER.error(e.getMessage(), e);
		}
	}
}
